Making WordPress.org

Opened 4 weeks ago

Closed 4 weeks ago

Last modified 3 weeks ago

#5999 closed defect (fixed)

Bump recommended MySQL and MariaDB versions

Reported by: SergeyBiryukov Owned by: SergeyBiryukov
Milestone: Priority: normal
Component: WordPress.org Site Keywords:
Cc:

Description

Background: #4248, #WP41490.

The Requirements page currently lists MySQL 5.6 or greater and MariaDB 10.1 or greater as recommended.

In https://core.trac.wordpress.org/ticket/41490#comment:11, @JavierCasares pointed out that these versions are no longer supported and should be bumped to MySQL 5.7 and MariaDB 10.2.

Per the MariaDB maintenance policy, support for version 10.2 ends in May 2022, at which point this should be revisited again.

Change History (3)

#1 @SergeyBiryukov
4 weeks ago

  • Owner set to SergeyBiryukov
  • Resolution set to fixed
  • Status changed from new to closed

In 11407:

WordPress.org Main Theme: Requirements: Bump the recommended MySQL and MariaDB versions.

  • MySQL 5.6 has reached EOL (“End of Life”) in February 2021. The recommended minimum is bumped to 5.7 for now.
  • MariaDB 10.1 has reached EOL in October 2020. The recommended minimum is bumped to 10.2 for now.

Follow-up to [8726], [9358].

Props JavierCasares, SergeyBiryukov.
Fixes #5999. See #WP41490.

This ticket was mentioned in Slack in #hosting-community by javier. View the logs.


3 weeks ago

This ticket was mentioned in Slack in #hosting-community by jadonn. View the logs.


3 weeks ago

Note: See TracTickets for help on using tickets.